[2.0.6] snapd.refresh.timer fails

Bug #1588977 reported by Michael Vogt on 2016-06-03
24
This bug affects 4 people
Affects Status Importance Assigned to Milestone
snapd (Ubuntu)
Critical
Larry
Xenial
Undecided
Unassigned

Bug Description

The 2.0.6 update warns with the following message:
$ sudo apt install snapd/xenial-proposed
Preparing to unpack .../archives/snapd_2.0.6_amd64.deb ...^M
Unpacking snapd (2.0.6) over (2.0.5) ...^M
Processing triggers for man-db (2.7.5-1) ...^M
Setting up snapd (2.0.6) ...^M
Job for snapd.refresh.timer failed. See "systemctl status snapd.refresh.timer" and "journalctl -xe" for details.^M
snapd.refresh.timer couldn't start.^M

And indeed:

$ sudo systemctl status snapd.refresh.timer|more
● snapd.refresh.timer - Timer to automatically refresh installed snaps
   Loaded: loaded (/lib/systemd/system/snapd.refresh.timer; enabled; vendor pres
et: enabled)
   Active: inactive (dead)

Jun 03 23:21:32 bod systemd[1]: snapd.refresh.timer: Refusing to start, unit to
trigger not loaded.
Jun 03 23:21:32 bod systemd[1]: Failed to start Timer to automatically refresh i
nstalled snaps.

Michael Vogt (mvo) on 2016-06-03
Changed in snapd (Ubuntu):
status: New → In Progress
importance: Undecided → Critical
Michael Vogt (mvo) wrote :
description: updated
Mark Shuttleworth (sabdfl) wrote :

Thank for jumping on this Michael.

tags: added: regression-proposed xenial
The_Craft (thecfrt) wrote :

The fix is for a debian system, operations are near inteligible for a newbie like me. Would anyone be able to translate the commands? This bug also affects my amd64 xenial. Started happening after lib32 was added so that steam could run.

Michael Vogt (mvo) on 2016-06-07
Changed in snapd (Ubuntu):
status: In Progress → Fix Committed

Hello Michael, or anyone else affected,

Accepted snapd into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/snapd/2.0.7 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in snapd (Ubuntu Xenial):
status: New → Fix Committed
tags: added: verification-needed
Federico Gimenez (fgimenez) wrote :

Verified with latest proposed:

fgimenez@fgimenez-Standard-PC-i440FX-PIIX-1996:~$ apt-cache policy snapd
snapd:
  Installed: 2.0.8
  Candidate: 2.0.8
  Version table:
 *** 2.0.8 500
        500 http://archive.ubuntu.com/ubuntu xenial-proposed/main amd64 Packages
        100 /var/lib/dpkg/status
     2.0.5 500
        500 http://es.archive.ubuntu.com/ubuntu xenial-updates/main amd64 Packages
     2.0.2 500
        500 http://es.archive.ubuntu.com/ubuntu xenial/main amd64 Packages
fgimenez@fgimenez-Standard-PC-i440FX-PIIX-1996:~$ sudo systemctl status snapd.refresh.timer
● snapd.refresh.timer - Timer to automatically refresh installed snaps
   Loaded: loaded (/lib/systemd/system/snapd.refresh.timer; enabled; vendor preset: enabled)
   Active: active (waiting) since vie 2016-06-10 17:45:08 CEST; 2min 0s ago

jun 10 17:45:08 fgimenez-Standard-PC-i440FX-PIIX-1996 systemd[1]: Started Timer to automatically refresh installed snaps.
jun 10 17:45:08 fgimenez-Standard-PC-i440FX-PIIX-1996 systemd[1]: snapd.refresh.timer: Adding 26min 1.706209s random time.
jun 10 17:45:08 fgimenez-Standard-PC-i440FX-PIIX-1996 systemd[1]: snapd.refresh.timer: Adding 2h 21min 58.059382s random time.
jun 10 17:45:08 fgimenez-Standard-PC-i440FX-PIIX-1996 systemd[1]: snapd.refresh.timer: Adding 4h 33min 58.250498s random time.
jun 10 17:45:08 fgimenez-Standard-PC-i440FX-PIIX-1996 systemd[1]: snapd.refresh.timer: Adding 2h 17min 45.812098s random time.

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package snapd - 2.0.8

---------------
snapd (2.0.8) xenial; urgency=medium

  * New upstream release: LP: #1589534
    - debian: make `snap refresh` times more random (LP: #1537793)
    - cmd: ExecInCoreSnap looks in "core" snap first, and only in
      "ubuntu-core" snap if rev>125.
    - cmd/snap: have 'snap list' display helper message on stderr
      (LP: #1587445)
    - snap: make app names more restrictive.

 -- Michael Vogt <email address hidden> Wed, 08 Jun 2016 07:56:58 +0200

Changed in snapd (Ubuntu Xenial):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (6.5 KiB)

This bug was fixed in the package snapd - 2.11+16.10

---------------
snapd (2.11+16.10) yakkety; urgency=medium

  * New upstream release: LP: #1605303
    - increase version number to reflect the nature of the update
      better
    - store, daemon, client, cmd/snap, docs/rest.md: adieu search
      grammar
    - debian: move snapd.refresh.timer into timers.target
    - snapstate: add daemon-reload to fix autopkgtest on yakkety
    - Interfaces: hardware-observe
    - snap: rework the output after a snap operation
    - daemon, cmd/snap: refresh --devmode
    - store, daemon, client, cmd/snap: implement `snap find --private`
    - tests: add network-observe interface spread test
    - interfaces/builtin: allow getsockopt for connected x11 plugs
    - osutil: check for nogrup instead of adm
    - store: small cleanups (more needed)
    - snap/squashfs: fix test not to hardcode snap size
    - client,cmd/snap: cleanup cmd/snap test suite, add extra args
      testThis cleans up the cmd/snap test suite:
    - wrappers: map "never" restart condition to "no."
    - wrappers: run update-desktop-database after add/remove of desktop
      files
    - release: work around elementary mistake
    - many: remove all traces of channel from the buying codepath
    - store: kill setUbuntuStoreHeaders
    - docs: add payment methods documentation
    - many: present user with a choice of payment backends
    - asserts: add cross checks for snap asserts
    - cmd/snap,cmd/snap-exec: support running hooks via snap-exec.
    - tests: improve snap run symlink tests
    - tests: add content sharing interface spread test
    - store & many: a mechanical branch shortening store names
    - snappy: remove old snappy pkg
    - overlord/snapstate: kill flagscompat
    - overlord/snapstate, daemon, client, cmd/snap: devmode override
      (aka confined)
    - tests: extend refresh test to talk to the staging and production
      stores
    - asserts,daemon: cross checks for account and account-key
      assertions
    - client: existing JSON fixtures uses tabs for indentation
    - snap-exec: add proper integration test for snap-exec
    - spread.yaml, tests: replace hello-world with test-snapd-tools
    - tests: add locale-control interface spread test
    - tests: add mount-observe interface spread test
    - tests: add system-observe interface spread test
    - many: add AuthContext to mediate user updates to the state
    - store/auth: add helper for the macaroon refresh endpoint
    - cmd: add buy command
    - overlord: switch snapstate.Update to use ListRefresh (aka
      /snaps/metadata)
    - snap-exec: fix silly off-by-one error
    - tests: stop using hello-world.echo in the tests
    - tests: add env command to test-snapd-tools
    - classic: remove (most of) "classic" mode, this is implemented as a
      snap now
    - many: remove snapstate.Candidate and other cleanups
    - many: removed authenticator, store gets a user instead
    - asserts: fix minor doc comment typo
    - snap: ensure unknown arguments to `snap run` are ignored
    - overlord/auth: add Device/SetDevice to persist device identity in
      state
    - overlord: make SyncBoot work aga...

Read more...

Changed in snapd (Ubuntu):
status: Fix Committed → Fix Released
Larry (carrol1) on 2016-09-15
Changed in snapd (Ubuntu):
assignee: nobody → Larry (carrol1)
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers